Index: tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java
===================================================================
--- tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 1334)
+++ tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 1335)
@@ -18,31 +18,31 @@
 // You should have received a copy of the GNU General
 // Public License along with the TXM platform. If not, see
 // http://www.gnu.org/licenses.
-
-//
-// This file is part of the TXM platform.
-//
-// The TXM platform is free software: you can redistribute it and/or modif y
-// it under the terms of the GNU General Public License as published by
-// the Free Software Foundation, either version 3 of the License, or
-// (at your option) any later version.
-//
-// The TXM platform is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with the TXM platform.  If not, see <http://www.gnu.org/licenses/>.
-// 
-// 
-// 
-// $LastChangedDate: 2016-11-29 16:47:07 +0100 (Tue, 29 Nov 2016) $
-// $LastChangedRevision: 3349 $
-// $LastChangedBy: mdecorde $ 
-//
-package org.txm.referencer.core.functions;
-
+
+//
+// This file is part of the TXM platform.
+//
+// The TXM platform is free software: you can redistribute it and/or modif y
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// The TXM platform is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with the TXM platform.  If not, see <http://www.gnu.org/licenses/>.
+// 
+// 
+// 
+// $LastChangedDate: 2016-11-29 16:47:07 +0100 (Tue, 29 Nov 2016) $
+// $LastChangedRevision: 3349 $
+// $LastChangedBy: mdecorde $ 
+//
+package org.txm.referencer.core.functions;
+
 import java.io.BufferedWriter;
 import java.io.File;
 import java.io.FileOutputStream;
@@ -74,50 +74,50 @@
 import org.txm.statsengine.r.core.RWorkspace;
 import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
 import org.txm.utils.logger.Log;
-
-/**
+
+/**
  * The Class Referencer computes the references of a query
  * 
  * @author mdecorde
- * @author sjacquot
- */
-public class Referencer extends TXMResult  {
-
-	/** The noref. */
-	protected static int noref = 1;
-
-	/** The prefix r. */
-	protected static String prefixR = "Referencer"; //$NON-NLS-1$
-
-	/** The indexes. */
-	int[] indexes;
-
-	/** The lines. */
-	List<Line> lines;
-
-	/** The cache. */
-	//private Map<Property, CqpDataProxy> cache;
-
-	/** The matches. */
+ * @author sjacquot
+ */
+public class Referencer extends TXMResult  {
+
+	/** The noref. */
+	protected static int noref = 1;
+
+	/** The prefix r. */
+	protected static String prefixR = "Referencer"; //$NON-NLS-1$
+
+	/** The indexes. */
+	int[] indexes;
+
+	/** The lines. */
+	List<Line> lines;
+
+	/** The cache. */
+	//private Map<Property, CqpDataProxy> cache;
+
+	/** The matches. */
 	List<Match> matches;
 
 	/** The positions. */
 	int[] positions;
 
-	/** The nlines. */
-	int nlines;
-
-	/** The processed idx. */
-	HashMap<Integer, Line> processedIdx;
-
-	/** The result. */
-	QueryResult result;
-
-	/** The symbol. */
-	private String symbol;
-
+	/** The nlines. */
+	int nlines;
+
+	/** The processed idx. */
+	HashMap<Integer, Line> processedIdx;
+
+	/** The result. */
+	QueryResult result;
+
+	/** The symbol. */
+	private String symbol;
+
 	/** The writer. */
-	private BufferedWriter writer;
+	private BufferedWriter writer;
 
 	
 	
@@ -141,14 +141,14 @@
 	
 	
 	
-	
-	/**
-	 * Creates a not computed referencer.
-	 *
-	 * @param parent the parent corpus
-	 */
+	
+	/**
+	 * Creates a not computed referencer.
+	 *
+	 * @param parent the parent corpus
+	 */
 	public Referencer(CQPCorpus parent) {
-		super(parent);
+		super(parent);
 	}
 
 	
@@ -160,42 +160,42 @@
 		super(parametersNodePath);
 	}
 
-	
-	/**
-	 * As r matrix.
-	 *
-	 * @return the string
-	 * @throws RWorkspaceException the r workspace exception
-	 */
-	public String asRMatrix() throws RWorkspaceException {
-
-		String keywords[] = new String[lines.size()];
-		for(int i = 0 ; i < lines.size() ; i++)
-			keywords[i] = lines.get(i).getPropValue();
-		//System.out.println(Arrays.toString(keywords));
-
-		String symbol = prefixR+noref;
-
-		RWorkspace rw = RWorkspace.getRWorkspaceInstance();
-		rw.eval(symbol+" <- list()"); //$NON-NLS-1$
-		rw.addVectorToWorkspace("refkeywords", keywords); //$NON-NLS-1$
-		rw.eval(symbol+"$keywords <- refkeywords"); //$NON-NLS-1$
-		//rw.eval(symbol+"$query <- \""+this.query.getQueryString()+"\")");
-		rw.eval(symbol+"$refs <- list()"); //$NON-NLS-1$
-		int i = 1;
-		for (Line line : this.lines) {
-			String refs[] = line.getReferences().toArray(new String[line.getReferences().size()]);
-			//System.out.println(line.getPropValue()+": "+Arrays.toString(refs));
-			rw.addVectorToWorkspace("reflinerefs", refs); //$NON-NLS-1$
-			rw.eval(symbol+"$refs[["+i+"]] <- reflinerefs"); //$NON-NLS-1$ //$NON-NLS-2$
-			i++;
-		}
-
-		noref++;
-		this.symbol = symbol;
-		return symbol;
-	}
-
+	
+	/**
+	 * As r matrix.
+	 *
+	 * @return the string
+	 * @throws RWorkspaceException the r workspace exception
+	 */
+	public String asRMatrix() throws RWorkspaceException {
+
+		String keywords[] = new String[lines.size()];
+		for(int i = 0 ; i < lines.size() ; i++)
+			keywords[i] = lines.get(i).getPropValue();
+		//System.out.println(Arrays.toString(keywords));
+
+		String symbol = prefixR+noref;
+
+		RWorkspace rw = RWorkspace.getRWorkspaceInstance();
+		rw.eval(symbol+" <- list()"); //$NON-NLS-1$
+		rw.addVectorToWorkspace("refkeywords", keywords); //$NON-NLS-1$
+		rw.eval(symbol+"$keywords <- refkeywords"); //$NON-NLS-1$
+		//rw.eval(symbol+"$query <- \""+this.query.getQueryString()+"\")");
+		rw.eval(symbol+"$refs <- list()"); //$NON-NLS-1$
+		int i = 1;
+		for (Line line : this.lines) {
+			String refs[] = line.getReferences().toArray(new String[line.getReferences().size()]);
+			//System.out.println(line.getPropValue()+": "+Arrays.toString(refs));
+			rw.addVectorToWorkspace("reflinerefs", refs); //$NON-NLS-1$
+			rw.eval(symbol+"$refs[["+i+"]] <- reflinerefs"); //$NON-NLS-1$ //$NON-NLS-2$
+			i++;
+		}
+
+		noref++;
+		this.symbol = symbol;
+		return symbol;
+	}
+
 	@Override
 	public void clean() {
 		try {
@@ -207,143 +207,143 @@
 			// TODO Auto-generated catch block
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
-	}
-
-	/**
-	 * Clears all lines.
-	 */
-	public void clearAllLines()	{
-		for(Line line : lines) { // we need to recompute lines references
-			line.clear();
-		}
-	}
-
-	/**
-	 * Calls in order all stages to compute the referencer.
-	 *
-	 * @return true, if successful
+	}
+
+	/**
+	 * Clears all lines.
 	 */
-	@Override
-	protected boolean _compute() {
+	public void clearAllLines()	{
+		for(Line line : lines) { // we need to recompute lines references
+			line.clear();
+		}
+	}
+
+	/**
+	 * Calls in order all stages to compute the referencer.
+	 *
+	 * @return true, if successful
+	 */
+	@Override
+	protected boolean _compute() {
 		try {
-			if (!getQueryMatches()) {
+			if (!getQueryMatches()) {
 				return false;
-			}
-
-			if (!getQueryindexes()) {
+			}
+
+			if (!getQueryindexes()) {
 				return false;
-			}
-
-			if (!groupPositionsbyId()) {
+			}
+
+			if (!groupPositionsbyId()) {
 				return false;
 			}
 		}
 		catch(CqiClientException e) {
 			e.printStackTrace();
 			return false;
-		}
-
-		return true;
-	}
-
-	/**
-	 * Gets the parent corpus.
-	 *
-	 * @return the corpus
-	 */
-	public CQPCorpus getCorpus() {
-		return (CQPCorpus) this.parent;
-	}
-
+		}
+
+		return true;
+	}
+
+	/**
+	 * Gets the parent corpus.
+	 *
+	 * @return the corpus
+	 */
+	public CQPCorpus getCorpus() {
+		return (CQPCorpus) this.parent;
+	}
+
 	@Override
 	public String getDetails() {
 		return getCorpus().getName();
-	}
-
-	/**
-	 * Gets the lines.
-	 *
-	 * @return the lines
-	 * @throws CqiClientException the cqi client exception
-	 * @throws IOException Signals that an I/O exception has occurred.
-	 * @throws CqiServerError the cqi server error
-	 */
-	public List<Line> getLines() throws CqiClientException, IOException, CqiServerError {
-		return getLines(0,lines.size());
-	}
-
-	/**
-	 * Gets the lines.
-	 *
-	 * @param from the from
-	 * @param to the to
-	 * @return the lines
-	 * @throws CqiClientException the cqi client exception
-	 * @throws IOException Signals that an I/O exception has occurred.
-	 * @throws CqiServerError the cqi server error
-	 */
-	public List<Line> getLines(int from, int to) throws CqiClientException, IOException, CqiServerError {
-		if (from < 0) {
+	}
+
+	/**
+	 * Gets the lines.
+	 *
+	 * @return the lines
+	 * @throws CqiClientException the cqi client exception
+	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @throws CqiServerError the cqi server error
+	 */
+	public List<Line> getLines() throws CqiClientException, IOException, CqiServerError {
+		return getLines(0,lines.size());
+	}
+
+	/**
+	 * Gets the lines.
+	 *
+	 * @param from the from
+	 * @param to the to
+	 * @return the lines
+	 * @throws CqiClientException the cqi client exception
+	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @throws CqiServerError the cqi server error
+	 */
+	public List<Line> getLines(int from, int to) throws CqiClientException, IOException, CqiServerError {
+		if (from < 0) {
 			from = 0;
-		}
-		if (to > lines.size()) {
+		}
+		if (to > lines.size()) {
 			to = lines.size();
-		}
-
-		HashMap<Integer, Line> lineswithoutpropvalue = new HashMap<Integer, Line>();
-
-		AbstractCqiClient cqiClient = CorpusManager.getCorpusManager().getCqiClient();
-		//build Missing lines
-		for(int i = from ; i < to ; i++) { // for each position group
-			Line l = lines.get(i);
-			if (l.notcomputed) {
-				lineswithoutpropvalue.put(l.id, l);
-
-				// get all reference values of all position of the line
-				Map<Property, List<List<String>>> refValues = new HashMap<Property, List<List<String>>>();
-				for (Property property : pPattern) {
-					refValues.put(property, cqiClient.getData(property,
-							l.positions, Collections.nCopies(l.positions.size(), 1)));
-				}
-				// build the Reference object
-				for (int j = 0 ; j < l.positions.size() ; j++) {
-					String propvalue = ""; //$NON-NLS-1$
-					for (Property property : pPattern) {
-						propvalue += refValues.get(property).get(j).get(0) + ", "; //$NON-NLS-1$
-					}
-
-					l.addReference(propvalue.substring(0, propvalue.length()-2));
-				}
-				if (pHierarchicSort) {
+		}
+
+		HashMap<Integer, Line> lineswithoutpropvalue = new HashMap<Integer, Line>();
+
+		AbstractCqiClient cqiClient = CorpusManager.getCorpusManager().getCqiClient();
+		//build Missing lines
+		for(int i = from ; i < to ; i++) { // for each position group
+			Line l = lines.get(i);
+			if (l.notcomputed) {
+				lineswithoutpropvalue.put(l.id, l);
+
+				// get all reference values of all position of the line
+				Map<Property, List<List<String>>> refValues = new HashMap<Property, List<List<String>>>();
+				for (Property property : pPattern) {
+					refValues.put(property, cqiClient.getData(property,
+							l.positions, Collections.nCopies(l.positions.size(), 1)));
+				}
+				// build the Reference object
+				for (int j = 0 ; j < l.positions.size() ; j++) {
+					String propvalue = ""; //$NON-NLS-1$
+					for (Property property : pPattern) {
+						propvalue += refValues.get(property).get(j).get(0) + ", "; //$NON-NLS-1$
+					}
+
+					l.addReference(propvalue.substring(0, propvalue.length()-2));
+				}
+				if (pHierarchicSort) {
 					l.sortRef(true);
-				}
-				else {
+				}
+				else {
 					l.sortAlpha();
-				}
-				l.notcomputed = false;
-			}
-		}
-
-		// get idx String value
-		int[] idxwithoutvalues = new int[lineswithoutpropvalue.keySet().size()];
-		int count = 0;
-		for(int i : lineswithoutpropvalue.keySet()) {
-			idxwithoutvalues[count++] = i;
-		}
-
-		String[] values = CorpusManager.getCorpusManager().getCqiClient().id2Str(pProperty.getQualifiedName(), idxwithoutvalues);
-		for(int i = 0 ; i < values.length ; i++) {
-			int id = idxwithoutvalues[i];
-			lineswithoutpropvalue.get(id).linepropvalue = values[i];
-		}
-		return lines.subList(from, to);
-	}
-
-	/**
-	 * Gets the name.
-	 *
-	 * @return the name
-	 */
+				}
+				l.notcomputed = false;
+			}
+		}
+
+		// get idx String value
+		int[] idxwithoutvalues = new int[lineswithoutpropvalue.keySet().size()];
+		int count = 0;
+		for(int i : lineswithoutpropvalue.keySet()) {
+			idxwithoutvalues[count++] = i;
+		}
+
+		String[] values = CorpusManager.getCorpusManager().getCqiClient().id2Str(pProperty.getQualifiedName(), idxwithoutvalues);
+		for(int i = 0 ; i < values.length ; i++) {
+			int id = idxwithoutvalues[i];
+			lineswithoutpropvalue.get(id).linepropvalue = values[i];
+		}
+		return lines.subList(from, to);
+	}
+
+	/**
+	 * Gets the name.
+	 *
+	 * @return the name
+	 */
 	public String getName() {
 		try {
 			return getCorpus().getName() + ": " + pQuery; //$NON-NLS-1$
@@ -351,82 +351,82 @@
 		catch (Exception e) {
 			return this.getEmptyName();
 		}
-	}
-
-	/**
-	 * Gets the n lines.
-	 *
-	 * @return the n lines
-	 */
-	public int getNLines() {
-		return nlines;
-	}
-
-	/**
-	 * Gets the pattern.
-	 *
-	 * @return the pattern
-	 */
-	public List<StructuralUnitProperty> getPattern() {
-		return pPattern;
-	}
-
-	/**
-	 * Gets the property.
-	 *
-	 * @return the property
-	 */
-	public Property getProperty() {
-		return pProperty;
-	}
-
-	/**
-	 * Gets the query.
-	 *
-	 * @return the query
-	 */
-	public CQLQuery getQuery() {
-		return pQuery;
-	}
-
-	/**
-	 * 2nd step.
-	 *
-	 * @return the queryindexes
-	 */
-	public boolean getQueryindexes(){
-		try {
-			positions = new int[matches.size()];
-			int i = 0;
-			for (Match m : matches) {
-				positions[i++] = m.getStart();
-			}
-
-			indexes = CorpusManager.getCorpusManager().getCqiClient().cpos2Id(pProperty.getQualifiedName(),positions);
-		} catch (Exception e) {
-			// TODO Auto-generated catch block
-			org.txm.utils.logger.Log.printStackTrace(e);
-			return false;
-		}
-		return true;
-	}
-
-	/**
-	 * 1st step.
-	 *
-	 * @return the query matches
-	 * @throws CqiClientException 
-	 */
-	public boolean getQueryMatches() throws CqiClientException{
-		result = this.getCorpus().query(pQuery, ReferencerCoreMessages.Referencer_1, false);
-		if (result.getNMatch() == 0) {
+	}
+
+	/**
+	 * Gets the n lines.
+	 *
+	 * @return the n lines
+	 */
+	public int getNLines() {
+		return nlines;
+	}
+
+	/**
+	 * Gets the pattern.
+	 *
+	 * @return the pattern
+	 */
+	public List<StructuralUnitProperty> getPattern() {
+		return pPattern;
+	}
+
+	/**
+	 * Gets the property.
+	 *
+	 * @return the property
+	 */
+	public Property getProperty() {
+		return pProperty;
+	}
+
+	/**
+	 * Gets the query.
+	 *
+	 * @return the query
+	 */
+	public CQLQuery getQuery() {
+		return pQuery;
+	}
+
+	/**
+	 * 2nd step.
+	 *
+	 * @return the queryindexes
+	 */
+	public boolean getQueryindexes(){
+		try {
+			positions = new int[matches.size()];
+			int i = 0;
+			for (Match m : matches) {
+				positions[i++] = m.getStart();
+			}
+
+			indexes = CorpusManager.getCorpusManager().getCqiClient().cpos2Id(pProperty.getQualifiedName(),positions);
+		} catch (Exception e) {
+			// TODO Auto-generated catch block
+			org.txm.utils.logger.Log.printStackTrace(e);
 			return false;
-		}
+		}
+		return true;
+	}
+
+	/**
+	 * 1st step.
+	 *
+	 * @return the query matches
+	 * @throws CqiClientException 
+	 */
+	public boolean getQueryMatches() throws CqiClientException{
+		result = this.getCorpus().query(pQuery, ReferencerCoreMessages.RESULT_TYPE, false);
+		if (result.getNMatch() == 0) {
+			return false;
+		}
 		matches = result.getMatches();
-		result.drop();
-		return true;
-	}
-
+		result.drop();
+		return true;
+	}
+
 	@Override
 	public String getSimpleName() {
 		try {
@@ -435,125 +435,125 @@
 		catch (Exception e) {
 			return this.getEmptyName();
 		}
-	}
-
-	/**
-	 * Gets the symbol.
-	 *
-	 * @return the symbol
-	 */
-	public String getSymbol() {
-		return symbol;
-	}
-
+	}
+
+	/**
+	 * Gets the symbol.
+	 *
+	 * @return the symbol
+	 */
+	public String getSymbol() {
+		return symbol;
+	}
+
 	public int getV() {
 		if (matches == null) {
 			return 0;
 		}
 		return matches.size();
-	}
-
-	/**
-	 * 3rd stage.
-	 *
-	 * @return true, if successful
-	 */
-	public boolean groupPositionsbyId() {
-		processedIdx = new HashMap<Integer, Line>();
-
-		lines = new ArrayList<Line>();
-		//System.out.println("indexes ");
-		for (int i = 0 ; i < indexes.length ; i++) {
-			int id = indexes[i];
-			//System.out.print(" "+id);
-			if (!processedIdx.containsKey(id)) {	
-				//System.out.println("add idx "+id);
-				Line l = new Line(id);
-				processedIdx.put(id, l);
-
-				lines.add(l);
-			}
-			processedIdx.get(id).addPosition(positions[i]);
-		}
-
-		nlines = processedIdx.keySet().size();
-		return true;
-	}
-
+	}
+
+	/**
+	 * 3rd stage.
+	 *
+	 * @return true, if successful
+	 */
+	public boolean groupPositionsbyId() {
+		processedIdx = new HashMap<Integer, Line>();
+
+		lines = new ArrayList<Line>();
+		//System.out.println("indexes ");
+		for (int i = 0 ; i < indexes.length ; i++) {
+			int id = indexes[i];
+			//System.out.print(" "+id);
+			if (!processedIdx.containsKey(id)) {	
+				//System.out.println("add idx "+id);
+				Line l = new Line(id);
+				processedIdx.put(id, l);
+
+				lines.add(l);
+			}
+			processedIdx.get(id).addPosition(positions[i]);
+		}
+
+		nlines = processedIdx.keySet().size();
+		return true;
+	}
+
 	public void setParameters(CQLQuery query, Property prop, List<StructuralUnitProperty> pattern, Boolean hierarchicSort) {
 		if (query != null) this.pQuery = query;
 		if (pattern != null) this.pPattern = pattern;
 		if (prop != null) this.pProperty = prop;
 		if (hierarchicSort != null) this.pHierarchicSort = hierarchicSort;
 		dirty = true;
-	}
-
+	}
+
 	@Override
 	public boolean setParameters(TXMParameters parameters) {
 		return false;
-	}
+	}
 
-	/**
-	 * Write all the lines in a file.
-	 *
-	 * @param outfile the outfile
-	 * @param encoding the encoding
-	 * @return true, if successful
-	 */
-	public boolean toTxt(File outfile, String encoding) {
-
-		return toTxt(outfile, encoding, "\t", ""); //$NON-NLS-1$ //$NON-NLS-2$
+	/**
+	 * Write all the lines in a file.
+	 *
+	 * @param outfile the outfile
+	 * @param encoding the encoding
+	 * @return true, if successful
+	 */
+	public boolean toTxt(File outfile, String encoding) {
+
+		return toTxt(outfile, encoding, "\t", ""); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 
-	/**
-	 * Write all the lines in a file.
-	 *
-	 * @param outfile the outfile
-	 * @param encoding the encoding
-	 * @param colseparator the colseparator
-	 * @param txtseparator the txtseparator
-	 * @return true, if successful
-	 */
-	public boolean toTxt(File outfile, String encoding, String colseparator, String txtseparator) {
+	/**
+	 * Write all the lines in a file.
+	 *
+	 * @param outfile the outfile
+	 * @param encoding the encoding
+	 * @param colseparator the colseparator
+	 * @param txtseparator the txtseparator
+	 * @return true, if successful
+	 */
+	public boolean toTxt(File outfile, String encoding, String colseparator, String txtseparator) {
 		try {
-			// NK: writer declared as class attribute to perform a clean if the operation is interrupted
-			this.writer = new BufferedWriter(new OutputStreamWriter(
-					new FileOutputStream(outfile), encoding)); 
-			// if ("UTF-8".equals(encoding)) writer.write('\ufeff'); // UTF-8 BOM
-			toTxt(writer, 0, lines.size() - 1, colseparator, txtseparator);
-		} catch (Exception e) {
-			System.err.println(ReferencerCoreMessages.Referencer_2 + Log.toString(e));
-			return false;
-		}
-		return true;
+			// NK: writer declared as class attribute to perform a clean if the operation is interrupted
+			this.writer = new BufferedWriter(new OutputStreamWriter(
+					new FileOutputStream(outfile), encoding)); 
+			// if ("UTF-8".equals(encoding)) writer.write('\ufeff'); // UTF-8 BOM
+			toTxt(writer, 0, lines.size() - 1, colseparator, txtseparator);
+		} catch (Exception e) {
+			System.err.println(ReferencerCoreMessages.referencerExportFailedDDot + Log.toString(e));
+			return false;
+		}
+		return true;
 	}
 
-	/**
-	 * Write the lines between from and to in a writer.
-	 *
-	 * @param writer Where to write the lines
-	 * @param from The first line to be written
-	 * @param to The last line to be writen
-	 * @param colseparator the colseparator
-	 * @param txtseparator the txtseparator
-	 * @throws CqiClientException the cqi client exception
-	 * @throws IOException Signals that an I/O exception has occurred.
-	 */
-	public void toTxt(Writer writer, int from, int to, String colseparator, String txtseparator)
-			throws CqiClientException, IOException {
-		try {
-			getLines(0, 9999999);
-			writer.write(pProperty.getName()+colseparator+this.pPattern+"\n"); //$NON-NLS-1$
-			for (Line line : lines) {
-				writer.write(txtseparator+line.getPropValue().replace(txtseparator, txtseparator+txtseparator)+txtseparator+ colseparator + txtseparator+ line.getReferences().toString().replace(txtseparator, txtseparator+txtseparator)+txtseparator+"\n"); //$NON-NLS-1$
-				writer.flush();
-			}
-
-			writer.close();
-		} catch (CqiServerError e) {
-			// TODO Auto-generated catch block
-			org.txm.utils.logger.Log.printStackTrace(e);
-		}
+	/**
+	 * Write the lines between from and to in a writer.
+	 *
+	 * @param writer Where to write the lines
+	 * @param from The first line to be written
+	 * @param to The last line to be writen
+	 * @param colseparator the colseparator
+	 * @param txtseparator the txtseparator
+	 * @throws CqiClientException the cqi client exception
+	 * @throws IOException Signals that an I/O exception has occurred.
+	 */
+	public void toTxt(Writer writer, int from, int to, String colseparator, String txtseparator)
+			throws CqiClientException, IOException {
+		try {
+			getLines(0, 9999999);
+			writer.write(pProperty.getName()+colseparator+this.pPattern+"\n"); //$NON-NLS-1$
+			for (Line line : lines) {
+				writer.write(txtseparator+line.getPropValue().replace(txtseparator, txtseparator+txtseparator)+txtseparator+ colseparator + txtseparator+ line.getReferences().toString().replace(txtseparator, txtseparator+txtseparator)+txtseparator+"\n"); //$NON-NLS-1$
+				writer.flush();
+			}
+
+			writer.close();
+		} catch (CqiServerError e) {
+			// TODO Auto-generated catch block
+			org.txm.utils.logger.Log.printStackTrace(e);
+		}
 	}
 
 	@Override
@@ -604,135 +604,135 @@
 
 
 
-	/**
-	 * The Class Line.
-	 */
-	public class Line {
-
-		/** The id. */
-		int id;
-
-		/** The propvalue. */
-		String linepropvalue;
-
-		/** The notcomputed. */
-		boolean notcomputed=true;
-
-		/** The positions. */
-		ArrayList<Integer> positions;
-
-		/** The references. */
-		ArrayList<String> references;
-
-		/** The references counts. */
-		HashMap<String, Integer> referencesCounts = new HashMap<String, Integer>();
-
-		/**
-		 * Instantiates a new line.
-		 *
-		 * @param i the i
-		 */
-		public Line(int i) {
-			id = i;
-			positions = new ArrayList<Integer>();
-			references = new ArrayList<String>();
-		}
-
-		/**
-		 * Adds the position.
-		 *
-		 * @param i the i
-		 */
-		public void addPosition(int i) {
-			positions.add(i);
-		}
-
-		/**
-		 * Adds the reference.
-		 *
-		 * @param string the string
-		 */
-		public void addReference(String string) {
-			if (!referencesCounts.containsKey(string)) {
-				references.add(string);
-				referencesCounts.put(string, 1);
-			} else {
-				referencesCounts.put(string, referencesCounts.get(string)+1);
-			}
-		}
-
-		/**
-		 * Clear.
-		 */
-		public void clear() {
-			notcomputed = false;
-			references = new ArrayList<String>();
-		}
-
-		/**
-		 * Gets the count.
-		 *
-		 * @param ref the ref
-		 * @return the count
-		 */
-		public int getCount(String ref) {
-			return referencesCounts.get(ref);
-		}
-
-		public HashMap<String, Integer> getCounts() {
-			return referencesCounts;
-		}
-
-		/**
-		 * Gets the prop value.
-		 *
-		 * @return the prop value
-		 */
-		public String getPropValue() {
-			return linepropvalue;
-		}
-
-		/**
-		 * Gets the references.
-		 *
-		 * @return the references
-		 */
-		public List<String> getReferences() {
-			return references;
-		}
-
-		/**
-		 * Sort alpha.
-		 */
-		public void sortAlpha() {
-			Collections.sort(references);
-		}
-
-		/**
-		 * Sort ref.
-		 *
-		 * @param reverse the reverse
-		 */
-		public void sortRef(final boolean reverse) {
-			Collections.sort(references, new Comparator<String>() {
-
-				@Override
-				public int compare(String arg0, String arg1) {
-					if (reverse)
-						return getCount(arg1) - getCount(arg0);
-					else
-						return getCount(arg0) - getCount(arg1);
-				}
-			});
-		}
-
-		/* (non-Javadoc)
-		 * @see java.lang.Object#toString()
-		 */
-		@Override
-		public String toString() {
-			return linepropvalue+" : <"+id+","+pProperty+"> : "+references.toString(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-		}
+	/**
+	 * The Class Line.
+	 */
+	public class Line {
+
+		/** The id. */
+		int id;
+
+		/** The propvalue. */
+		String linepropvalue;
+
+		/** The notcomputed. */
+		boolean notcomputed=true;
+
+		/** The positions. */
+		ArrayList<Integer> positions;
+
+		/** The references. */
+		ArrayList<String> references;
+
+		/** The references counts. */
+		HashMap<String, Integer> referencesCounts = new HashMap<String, Integer>();
+
+		/**
+		 * Instantiates a new line.
+		 *
+		 * @param i the i
+		 */
+		public Line(int i) {
+			id = i;
+			positions = new ArrayList<Integer>();
+			references = new ArrayList<String>();
+		}
+
+		/**
+		 * Adds the position.
+		 *
+		 * @param i the i
+		 */
+		public void addPosition(int i) {
+			positions.add(i);
+		}
+
+		/**
+		 * Adds the reference.
+		 *
+		 * @param string the string
+		 */
+		public void addReference(String string) {
+			if (!referencesCounts.containsKey(string)) {
+				references.add(string);
+				referencesCounts.put(string, 1);
+			} else {
+				referencesCounts.put(string, referencesCounts.get(string)+1);
+			}
+		}
+
+		/**
+		 * Clear.
+		 */
+		public void clear() {
+			notcomputed = false;
+			references = new ArrayList<String>();
+		}
+
+		/**
+		 * Gets the count.
+		 *
+		 * @param ref the ref
+		 * @return the count
+		 */
+		public int getCount(String ref) {
+			return referencesCounts.get(ref);
+		}
+
+		public HashMap<String, Integer> getCounts() {
+			return referencesCounts;
+		}
+
+		/**
+		 * Gets the prop value.
+		 *
+		 * @return the prop value
+		 */
+		public String getPropValue() {
+			return linepropvalue;
+		}
+
+		/**
+		 * Gets the references.
+		 *
+		 * @return the references
+		 */
+		public List<String> getReferences() {
+			return references;
+		}
+
+		/**
+		 * Sort alpha.
+		 */
+		public void sortAlpha() {
+			Collections.sort(references);
+		}
+
+		/**
+		 * Sort ref.
+		 *
+		 * @param reverse the reverse
+		 */
+		public void sortRef(final boolean reverse) {
+			Collections.sort(references, new Comparator<String>() {
+
+				@Override
+				public int compare(String arg0, String arg1) {
+					if (reverse)
+						return getCount(arg1) - getCount(arg0);
+					else
+						return getCount(arg0) - getCount(arg1);
+				}
+			});
+		}
+
+		/* (non-Javadoc)
+		 * @see java.lang.Object#toString()
+		 */
+		@Override
+		public String toString() {
+			return linepropvalue+" : <"+id+","+pProperty+"> : "+references.toString(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		}
 	}
 
 	public void setQuery(CQLQuery query) {
@@ -783,5 +783,5 @@
 		return ReferencerCoreMessages.RESULT_TYPE;
 	}
 
-	
-}
+	
+}
\ No newline at end of file
Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 1334)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 1335)
@@ -167,7 +167,7 @@
 		} catch (ThreadDeath td) {
 			return Status.CANCEL_STATUS;
 		} catch (Exception e) {
-			//System.out.println(NLS.bind(TXMUIMessages.RunGroovyScript_8, e));
+			//System.out.println(NLS.bind(TXMUIMessages.errorWhileRunningScriptDDotP0, e));
 			Log.printStackTrace(e);
 			return new Status(Status.ERROR, "org.txm.groovy.core", e.getMessage());
 		} finally {
@@ -179,4 +179,4 @@
 		System.gc();
 		return Status.OK_STATUS;
 	}
-}
+}
\ No newline at end of file
